%define module Nagios-Plugin

Summary:	A family of perl modules to streamline writing Nagios plugins
Name:		perl-%{module}
Version:	0.32
Release:	%mkrel 1
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Nagios/%{module}-%{version}.tar.gz
BuildRequires:	perl(Class::Accessor)
BuildRequires:	perl(Config::Tiny)
BuildRequires:	perl(Math::Calc::Units)
BuildRequires:	perl(Params::Validate)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Simple)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
These modules are meant for perl developers of plugins for Nagios
(http://nagiosplug.sourceforge.net). It is meant to simplify a lot of the
common functions required to do checking of a particular service.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Nagios
%{_mandir}/*/*


%changelog
* Wed Mar 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2009.1
+ Revision: 348534
- update to new version 0.32

* Tue Jan 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-1mdv2009.1
+ Revision: 325311
- update to new version 0.31

* Wed Dec 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2009.1
+ Revision: 315203
- new version
- drop test patch, uneeded anymore

* Wed Dec 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdv2009.1
+ Revision: 312497
- new version

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2009.1
+ Revision: 305755
- update to new version 0.28

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.27-2mdv2009.0
+ Revision: 268620
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.27-1mdv2009.0
+ Revision: 217988
- update to new version 0.27

* Thu Dec 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.22-1mdv2008.1
+ Revision: 135705
- 0.22

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.21-1mdv2008.1
+ Revision: 97100
- import perl-Nagios-Plugin


* Thu Oct 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.21-1mdv2008.1
- initial Mandriva package 
